#include <QtGui/QMouseEvent>
#include "GLWidget.h"

#include <maya/MIOStream.h>
#include <math.h>
#include <stdlib.h>

bool CoolWidget::eventFilter(QObject *o, QEvent *event)
{
	if (event->type() == QEvent::MouseMove)
    {   
		QMouseEvent *pMouseEvent = static_cast<QMouseEvent *>(event);
		
		cout << event->type() << endl;
		cout << "MOUSE PRESS" << endl;
		cout<< pMouseEvent->x() << " - " << pMouseEvent->y() << endl;

		return false;
	} 

	return QWidget::eventFilter(o, event);
}

CoolWidget::CoolWidget(QWidget *parent)
        : QWidget(parent)
{
	this->setMouseTracking(true);
	parent->installEventFilter(this);

}